import {
    G as L,
    R as B,
    H as f,
    az as D,
    I as u,
    Q as c,
    O as t,
    J as e,
    P as s,
    ao as J,
    an as w,
    au as g,
    Z as j,
    N as l,
    K as I,
    M as P,
    aA as y,
    aw as M,
    at as N,
    aB as U,
    aC as q,
    C as W,
    r as x,
    A as H
} from "./common.modules-af1f85b9.js";
import {
    y as Z,
    cb as E,
    c as R,
    cc as Y,
    _ as z,
    b as O,
    aJ as ee,
    cd as se
} from "./page-activity-ActivityDetail-09e806d3.js";
import {
    D as te
} from "./page-activity-Championship-a1efdd83.js";
import {
    L as G,
    E as oe
} from "./page-activity-Bonus-78dc3749.js";
const ne = p => (U("data-v-6243ef37"), p = p(), q(), p),
    ie = {
        class: "Xg-page"
    },
    ae = {
        class: "Xg-info"
    },
    le = {
        class: "tit"
    },
    re = {
        class: "tip"
    },
    ce = {
        class: "txt"
    },
    de = {
        class: "Xg-page-wrap"
    },
    ue = {
        class: "tab"
    },
    _e = {
        class: "Xg-list"
    },
    pe = {
        class: "header c-row c-row-between"
    },
    ve = {
        class: "time"
    },
    me = {
        key: 0,
        class: "red"
    },
    ge = {
        class: "c-row body c-row-middle"
    },
    $e = {
        class: "img"
    },
    he = {
        class: "info"
    },
    be = {
        class: "name"
    },
    ye = {
        class: "lab"
    },
    ke = ne(() => e("div", {
        class: "line"
    }, null, -1)),
    we = {
        class: "numbox"
    },
    fe = {
        class: "citem"
    },
    Ce = {
        class: "num"
    },
    Re = {
        class: "txt"
    },
    Se = {
        class: "citem"
    },
    Te = {
        class: "num red"
    },
    Ae = {
        class: "txt"
    },
    je = {
        class: "box"
    },
    Ne = {
        class: "Laundry-Con"
    },
    Le = {
        key: 0,
        class: "Laundry-Con_tip"
    },
    Be = {
        key: 1,
        class: "Laundry-Con_tip"
    },
    Ie = {
        key: 2
    },
    Pe = L({
        __name: "index",
        setup(p) {
            const {
                getRewardValidityTime: C
            } = Z(), {
                goRule: m,
                goStar: $,
                RewardsRecordPageList: d,
                listRef: _,
                DialogShow: h,
                pageQuery: a,
                recivedAll: i,
                isRecived: b,
                onLaundy: k,
                onRecived: v,
                goBack: S,
                onRecivedAll: X
            } = E(), Q = B();
            return (n, r) => {
                const V = f("NavBar"),
                    T = f("svg-icon"),
                    A = f("van-button"),
                    F = D("lazy");
                return l(), u("div", ie, [c(V, {
                    title: n.$t("superjackpot"),
                    "left-arrow": "",
                    onClickLeft: t(S)
                }, null, 8, ["title", "onClickLeft"]), e("div", ae, [e("div", null, [e("h3", le, s(n.$t("superjackpot")), 1), e("p", re, s(n.$t("tip") + n.$t("txt")), 1), e("p", ce, s(n.$t("superJackpotTxt", [t(C)])), 1)])]), e("div", de, [e("div", {
                    class: J(["receive-all", {
                        "no-receive": t(b)
                    }]),
                    onClick: r[0] || (r[0] = (...o) => t(X) && t(X)(...o))
                }, [c(T, {
                    class: "icon",
                    name: "super_no"
                }), w(` <svg-icon class="icon" v-else  name='super_1' /> `), e("span", null, s(n.$t("receiveAll")), 1)], 2), e("ul", ue, [e("li", {
                    class: "tab-item",
                    onClick: r[1] || (r[1] = (...o) => t(m) && t(m)(...o))
                }, [c(T, {
                    name: "rule"
                }), e("span", null, s(n.$t("ruleillustrate")), 1)]), e("li", {
                    class: "tab-item",
                    onClick: r[2] || (r[2] = (...o) => t($) && t($)(...o))
                }, [c(T, {
                    name: "winningStar"
                }), e("span", null, s(n.$t("winningstar")), 1)])]), w(" 列表 "), c(G, {
                    api: t(Y),
                    list: t(d),
                    "onUpdate:list": r[3] || (r[3] = o => j(d) ? d.value = o : null),
                    "page-query": t(a),
                    "onUpdate:pageQuery": r[4] || (r[4] = o => j(a) ? a.value = o : null),
                    ref_key: "listRef",
                    ref: _
                }, {
                    content: g(() => [e("div", _e, [(l(!0), u(I, null, P(t(d), (o, K) => (l(), u("div", {
                        class: "item m-b-20",
                        key: K
                    }, [e("div", pe, [e("div", {
                        class: J(["tit", {
                            action: o.isReceive == 0,
                            action2: o.isReceive == 2
                        }])
                    }, s(o.isReceive == 1 ? n.$t("received") : o.isReceive == 2 ? n.$t("rewardExpired") : n.$t("unaccalimed")), 3), e("div", ve, [e("div", null, s(o.createTime), 1), o.expirationFormatTime ? (l(), u("div", me, [y(s(o.expirationFormatTime), 1), e("span", null, s(n.$t("expiredTime")), 1)])) : w("v-if", !0)])]), e("div", ge, [w(` <img class="img" :src="require('@/assets/images/game/1.png')" /> `), M(e("img", $e, null, 512), [
                        [F, o.imgUrl]
                    ]), e("div", he, [e("p", be, s(o.gameName), 1), e("p", ye, [e("span", null, s(o.orderNo), 1)])])]), ke, e("div", we, [e("div", fe, [e("p", Ce, s(o.multiple) + "X", 1), e("span", Re, s(n.$t("Winningmultiple")), 1)]), e("div", Se, [e("p", Te, s(t(R)(o.bonusAmount)), 1), e("span", Ae, s(n.$t("Additionalrewards")), 1)])]), e("div", je, [o.isReceive === 0 ? (l(), N(A, {
                        key: 0,
                        class: "Xg-btn",
                        round: "",
                        type: "primary",
                        block: "",
                        onClick: $s => t(v)(o.orderId)
                    }, {
                        default: g(() => [y(s(n.$t("receive")), 1)]),
                        _: 2
                    }, 1032, ["onClick"])) : o.isReceive === 1 ? (l(), N(A, {
                        key: 1,
                        class: "Xg-btn-received",
                        round: "",
                        type: "primary",
                        block: ""
                    }, {
                        default: g(() => [y(s(n.$t("received")), 1)]),
                        _: 1
                    })) : (l(), N(A, {
                        key: 2,
                        class: "Xg-btn-expired",
                        round: "",
                        block: ""
                    }, {
                        default: g(() => [y(s(n.$t("rewardExpiredTime")), 1)]),
                        _: 1
                    }))])]))), 128))])]),
                    empty: g(() => [c(oe, null, {
                        text: g(() => [e("p", null, s(n.$t("notAmegaJackpot")), 1)]),
                        _: 1
                    })]),
                    _: 1
                }, 8, ["api", "list", "page-query"]), e("div", {
                    class: "go-bet",
                    onClick: r[5] || (r[5] = o => t(Q).push("/"))
                }, s(n.$t("goBetting")), 1)]), c(te, {
                    show: t(h),
                    "onUpdate:show": r[6] || (r[6] = o => j(h) ? h.value = o : null),
                    "img-url": "succeed",
                    onConfirm: t(k),
                    "show-cancel-btn": !1,
                    confirmText: "OK",
                    title: n.$t("succTip1")
                }, {
                    content: g(() => [e("div", Ne, [t(i).type == -1 ? (l(), u("div", Le, s(n.$t("succTip2")), 1)) : (l(), u("div", Be, s(n.$t("receiveAllSuccess")), 1)), t(i).type == 1 ? (l(), u("ul", Ie, [e("li", null, [e("h3", null, s(t(i).orderCount), 1), e("p", null, s(n.$t("awardCount")), 1)]), e("li", null, [e("h3", null, s(t(R)(t(i).totalReceiveAmount)), 1), e("p", null, s(n.$t("awardAmount")), 1)])])) : w("v-if", !0)])]),
                    _: 1
                }, 8, ["show", "onConfirm", "title"])])
            }
        }
    });
const ze = z(Pe, [
        ["__scopeId", "data-v-6243ef37"],
        ["__file", "/usr/local/jenkins-prod/workspace/ar055-india-bdg/src/views/main/SuperJackpot/index.vue"]
    ]),
    ws = Object.freeze(Object.defineProperty({
        __proto__: null,
        default: ze
    }, Symbol.toStringTag, {
        value: "Module"
    })),
    Xe = {
        class: "jackpot-rule"
    },
    Je = {
        class: "rule-bannerMain"
    },
    Oe = {
        class: "rule-content"
    },
    De = {
        class: "rule-content-top"
    },
    Me = {
        class: "rule-content-top-right"
    },
    Ue = {
        class: "rule-content-tip"
    },
    qe = {
        class: "jackpot-rule-wrap"
    },
    Ee = {
        class: "title"
    },
    Ge = {
        class: "table-container"
    },
    Qe = {
        class: "table-title"
    },
    Ve = {
        class: "jackpot-rule-owener"
    },
    Fe = L({
        __name: "index",
        setup(p) {
            const C = B(),
                {
                    getRuleList: m,
                    ruleList: $,
                    gotoCustom: d
                } = E(),
                _ = sessionStorage.getItem("dollarSign"),
                h = a => {
                    const [i, b] = a.split("-");
                    return `${i}X-${b}X`
                };
            return W(() => m()), (a, i) => {
                const b = f("NavBar"),
                    k = f("svg-icon");
                return l(), u("div", Xe, [c(b, {
                    title: a.$t("ruleillustrate"),
                    "left-arrow": "",
                    onClickLeft: i[0] || (i[0] = v => t(C).go(-1))
                }, null, 8, ["title"]), e("div", Je, [e("div", Oe, [e("div", De, [e("div", Me, [e("h3", null, s(a.$t("superjackpot")), 1), e("p", null, s(a.$t("ruleillustrate1")), 1)])]), e("div", Ue, [c(k, {
                    name: "warningTriangle"
                }), e("p", null, s(a.$t("ruleillustrate2")), 1)])])]), e("div", qe, [e("div", Ee, [c(k, {
                    name: "superJackpotRule"
                }), y(" " + s(a.$t("winTips5")), 1)]), e("div", Ge, [e("div", Qe, [e("div", null, s(a.$t("winningrate")), 1), e("div", null, s(a.$t("betAmounts")), 1), e("div", null, s(a.$t("winTips5")), 1)]), (l(!0), u(I, null, P(t($), (v, S) => (l(), u("div", {
                    class: "table-content",
                    key: S
                }, [e("div", null, s(h(v.multipleName)), 1), e("div", null, s(t(_)) + s(v.betAmountName.split("-")[0] + "-" + t(_) + v.betAmountName.split("-")[1]), 1), e("div", null, s(t(R)(v.awardAmount)), 1)]))), 128))]), e("div", Ve, [c(k, {
                    name: "rightTriangle"
                }), y(" " + s(a.$t("ruleillustaate3")), 1)]), e("div", {
                    class: "jackpot-rule-custom",
                    onClick: i[1] || (i[1] = (...v) => t(d) && t(d)(...v))
                }, [w(` <img :src="getIconsPublic('svg', 'serverIcon', 'svg')"> `), c(k, {
                    name: "customerPublic"
                }), y(" " + s(a.$t("contactServicer")), 1)])])])
            }
        }
    });
const Ke = z(Fe, [
        ["__scopeId", "data-v-bc9939e5"],
        ["__file", "/usr/local/jenkins-prod/workspace/ar055-india-bdg/src/views/main/SuperJackpot/rule/index.vue"]
    ]),
    fs = Object.freeze(Object.defineProperty({
        __proto__: null,
        default: Ke
    }, Symbol.toStringTag, {
        value: "Module"
    })),
    We = p => (U("data-v-7c5c25a2"), p = p(), q(), p),
    xe = {
        class: "jackpot-star"
    },
    He = {
        class: "jackpot-star-list"
    },
    Ze = {
        class: "starheader"
    },
    Ye = ["data-img"],
    es = {
        class: "nickname"
    },
    ss = We(() => e("div", {
        class: "solidline"
    }, null, -1)),
    ts = {
        class: "starcontent"
    },
    os = {
        class: "rowcontent"
    },
    ns = {
        class: "label"
    },
    is = {
        class: "name"
    },
    as = {
        class: "rowcontent"
    },
    ls = {
        class: "label"
    },
    rs = {
        class: "multiple"
    },
    cs = {
        class: "rowcontent"
    },
    ds = {
        class: "label"
    },
    us = {
        class: "money"
    },
    _s = {
        class: "rowcontent"
    },
    ps = {
        class: "label"
    },
    vs = {
        class: "time"
    },
    ms = L({
        __name: "index",
        setup(p) {
            const C = B(),
                m = x([]),
                $ = H({
                    pageSize: 10,
                    isAll: !0
                });
            return (d, _) => {
                const h = f("NavBar"),
                    a = D("lazy");
                return l(), u("div", xe, [c(h, {
                    title: d.$t("winningstar"),
                    "left-arrow": "",
                    onClickLeft: _[0] || (_[0] = i => t(C).go(-1))
                }, null, 8, ["title"]), c(G, {
                    api: t(se),
                    list: m.value,
                    "onUpdate:list": _[1] || (_[1] = i => m.value = i),
                    "page-query": $,
                    "onUpdate:pageQuery": _[2] || (_[2] = i => $ = i)
                }, {
                    content: g(() => [e("div", He, [(l(!0), u(I, null, P(m.value, (i, b) => (l(), u("div", {
                        class: "star-item",
                        key: b
                    }, [e("div", Ze, [M(e("img", {
                        "data-img": t(O)("main/Avatar", "1")
                    }, null, 8, Ye), [
                        [a, t(O)("main/Avatar", i.userPhoto)]
                    ]), e("div", es, s(t(ee)(i.userName)), 1)]), ss, e("div", ts, [e("div", os, [e("div", ns, s(d.$t("gamename")), 1), e("div", is, s(i.gameName), 1)]), e("div", as, [e("div", ls, s(d.$t("Winningmultiple")), 1), e("div", rs, s(i.multiple + "X"), 1)]), e("div", cs, [e("div", ds, s(d.$t("winTips5")), 1), e("div", us, s(t(R)(i.bonusAmount)), 1)]), e("div", _s, [e("div", ps, s(d.$t("winningtime")), 1), e("div", vs, s(i.createTime), 1)])])]))), 128))])]),
                    _: 1
                }, 8, ["api", "list", "page-query"])])
            }
        }
    });
const gs = z(ms, [
        ["__scopeId", "data-v-7c5c25a2"],
        ["__file", "/usr/local/jenkins-prod/workspace/ar055-india-bdg/src/views/main/SuperJackpot/star/index.vue"]
    ]),
    Cs = Object.freeze(Object.defineProperty({
        __proto__: null,
        default: gs
    }, Symbol.toStringTag, {
        value: "Module"
    }));
export {
    fs as a, Cs as b, ws as i
};